Reference
//
Get single policy by ID
🔒 Private label — contact sales. Requires a private-label entitlement on your API client.
Get single policy by ID
Security
oauth2ClientCredentials(Required scopes: wallet-policies:read)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/wallet-policies/{policyId}
- Productionhttps://api.boyahq.com/v2/wallet-policies/{policyId}
- Sandboxhttps://sandbox.api.boyahq.com/v2/wallet-policies/{policyId}
curl -i -X GET \
'https://developer.boyahq.com/_mock/v2/openapi/wallet-policies/{policyId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'business_id: string'Policy retrieved successfully
Response
{ "_id": "string", "subject_type": "EMPLOYEE", "employee_id": {}, "business_id": "string", "external_ref": "string", "wallet_id": "string", "permissions": [ "string" ], "limits": { "per_transaction": {}, "daily_total": {}, "monthly_total": {}, "currency": "string" }, "thresholds": { "approval_required_above": {}, "auto_flag_above": {} }, "restrictions": { "mask_balance": true, "mask_transaction_amounts": true, "max_transaction_history_days": 0 }, "status": "ACTIVE", "valid_from": "string", "valid_until": "string", "granted_by": {}, "revoked_by": "string", "revoked_at": "string", "revoke_reason": "string", "label": "string", "notes": "string", "createdAt": "string", "updatedAt": "string" }